# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Voltage Class Reference
Inheritance diagram for Voltage:

## Public Member Functions

| Voltage (std::string name, std::string pos, std::string neg, std::string value)
| creates a new voltage source. More...
Public Member Functions inherited from Source
std::string | getName ()
| returns the name of the source.
std::string | getNegative ()
| returns the negative connector of the source.
std::string | getPositive ()
| returns the positive connector of the source.
std::string | getValue ()
| returns the value of the source.

## Additional Inherited Members

Protected Member Functions inherited from Source
| Source (std::string name, std::string pos, std::string neg, std::string value)
| creates a new source. More...

## Detailed Description

This class describes a voltage source.

## Constructor & Destructor Documentation

## ◆ Voltage()

Voltage | ( | std::string | name,
|  | std::string | pos,
|  | std::string | neg,
|  | std::string | value
| ) |  |

inline

creates a new voltage source.

Parameters

  name | the name of the source.
  pos | the positive connector of the source.
  neg | the negative connector of the source.
  value | the value of the source.